{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "largeDataID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "rawData",
      "externalType" : "object",
      "name" : "rawData",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "supportedPlatforms" : "MCPSupportedPlatformsAll",
      "valueClassName" : "NSData"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "plainText",
      "externalType" : "char",
      "name" : "plainText",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "plain_text?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "isPlainText",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isPlainText",
      "purpose" : "Flags whether the content is currently plain text (uses ``plainText`` attribute) or raw data (uses ``rawData`` attribute).",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "stores_plain_text_representation?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "storesPlainTextRepresentation",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "storesPlainTextRepresentation",
      "purpose" : "This property is usually configured at create-time, then honored by conversions when setting the contents.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWLargeData",
  "classProperties" : [
    "createDate",
    "largeDataID",
    "rawData",
    "plainText",
    "isPlainText",
    "storesPlainTextRepresentation",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier"
  ],
  "domain" : "General",
  "externalName" : "LargeData",
  "fetchSpecificationDictionary" : {

  },
  "fullTextSearchIndices" : [
    {
      "attributeNames" : [
        "plainText"
      ],
      "name" : "plainText"
    }
  ],
  "isDatabasePreference" : false,
  "isTrashable" : true,
  "name" : "LargeData",
  "primaryKeyAttributes" : [
    "largeDataID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [

  ],
  "supportsPermissions" : false,
  "uniqueIdentifier" : "52"
}